public interface SqlInstancesReencryptRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract InstancesReencryptRequest getBody()Reencrypt body that users request
.google.cloud.sql.v1.InstancesReencryptRequest body = 3;
| Returns | |
|---|---|
| Type | Description |
InstancesReencryptRequest |
The body. |
getBodyOrBuilder()
public abstract InstancesReencryptRequestOrBuilder getBodyOrBuilder()Reencrypt body that users request
.google.cloud.sql.v1.InstancesReencryptRequest body = 3;
| Returns | |
|---|---|
| Type | Description |
InstancesReencryptRequestOrBuilder |
|
getInstance()
public abstract String getInstance()Cloud SQL instance ID. This does not include the project ID.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The instance. |
getInstanceBytes()
public abstract ByteString getInstanceBytes()Cloud SQL instance ID. This does not include the project ID.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for instance. |
getProject()
public abstract String getProject()ID of the project that contains the instance.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The project. |
getProjectBytes()
public abstract ByteString getProjectBytes()ID of the project that contains the instance.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for project. |
hasBody()
public abstract boolean hasBody()Reencrypt body that users request
.google.cloud.sql.v1.InstancesReencryptRequest body = 3;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |